<h1 mat-dialog-title>Add Teams to {{data.event.title}}</h1>
<mat-dialog-content>
  <mat-checkbox
    *ngFor="let team of data.teams"
    class="checkbox-item" [checked]="data.event.teamIds.includes(team.id)"
    (change)="addTeamToEvent(team, $event.checked)"
  >{{team.fullName}}</mat-checkbox>
  <mat-progress-bar *ngIf="showProgressIndicator" mode="indeterminate"></mat-progress-bar>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close="" color="primary">OK</button>
</mat-dialog-actions>
